Creates a message route with a destination. A new destination will be created if a messageDestinationId is not passed in
| Name | Description | Additional information |
|---|---|---|
| messageRouteDestinationRepresentation | - The TenantId field is required, and should match the tenant on the HTTP request header.
- MessageRouteRepresentation
-- MessageTypeId (Guid?)
-- UserId (Guid?)
-- UserGroupId (Guid?)
-- DeviceId (Guid?)
-- DeviceGroupId (Guid?)
-- ApplicationId (Guid?)
-- ApplicationVersionId (Guid?)
-- MessageDestinationId (Guid)
-- Name
-- Description
- MessageDestinationRepresentation
-- MessageDestinationId (Guid) pass in if using an existing destination
-- MessageDestinationTypeId (Guid)
-- Name
-- Description
-- Address |
Define this parameter in the request body. |
{
"tenantId": "52601af2-3472-4602-b03e-5f1d38c09da9",
"messageRouteRepresentation": {
"messageRouteId": "b47128ff-7159-4988-8792-53b784b8614c",
"tenantId": "8af827d7-d971-4c59-b024-316bdab4a996",
"messageTypeId": "2af6729d-3452-49b6-9d3d-e9d1f333a91f",
"userId": "1c1b5232-c428-4fde-a295-de45b7467891",
"userGroupId": "d69d5425-216d-469c-afc2-bc7d21ece944",
"deviceId": "8e1dce7b-20cb-42a2-b9ac-62dcb18c9c8d",
"deviceGroupId": "c3b4c9b7-dd8a-430d-8c7b-67eb59110417",
"applicationId": "176a63cc-d33e-4e78-a3fa-4116e9c8555d",
"applicationVersionId": "053f8a58-e564-427e-8c80-e51671ebee65",
"messageDestinationId": "0582e3c7-46c1-417c-b7e7-12adb73fe930",
"name": "sample string 4",
"description": "sample string 5",
"createdDateUtc": "2026-11-13T23:59:39.0808438+00:00",
"updatedDateUtc": "2026-11-13T23:59:39.0808438+00:00"
},
"messageDestinationRepresentation": {
"messageDestinationId": "c4d13e89-7dc8-4f71-bb65-7df7533dacea",
"messageDestinationTypeId": "fdd79860-b4fd-4eb0-9f0f-0717b765d73d",
"tenantId": "d517c574-c033-4ccf-908c-d7ca8b1e103b",
"name": "sample string 4",
"description": "sample string 5",
"address": "sample string 6",
"createdDateUtc": "2026-11-13T23:59:39.0808438+00:00",
"updatedDateUtc": "2026-11-13T23:59:39.0808438+00:00"
},
"createdDateUtc": "2026-11-13T23:59:39.0808438+00:00",
"updatedDateUtc": "2026-11-13T23:59:39.0808438+00:00"
}
<MessageRouteDestinationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
<CreatedDateUtc>2026-11-13T23:59:39.0808438+00:00</CreatedDateUtc>
<UpdatedDateUtc>2026-11-13T23:59:39.0808438+00:00</UpdatedDateUtc>
<MessageDestinationRepresentation>
<CreatedDateUtc>2026-11-13T23:59:39.0808438+00:00</CreatedDateUtc>
<UpdatedDateUtc>2026-11-13T23:59:39.0808438+00:00</UpdatedDateUtc>
<Address>sample string 6</Address>
<Description>sample string 5</Description>
<MessageDestinationId>c4d13e89-7dc8-4f71-bb65-7df7533dacea</MessageDestinationId>
<MessageDestinationTypeId>fdd79860-b4fd-4eb0-9f0f-0717b765d73d</MessageDestinationTypeId>
<Name>sample string 4</Name>
<TenantId>d517c574-c033-4ccf-908c-d7ca8b1e103b</TenantId>
</MessageDestinationRepresentation>
<MessageRouteRepresentation>
<CreatedDateUtc>2026-11-13T23:59:39.0808438+00:00</CreatedDateUtc>
<UpdatedDateUtc>2026-11-13T23:59:39.0808438+00:00</UpdatedDateUtc>
<ApplicationId>176a63cc-d33e-4e78-a3fa-4116e9c8555d</ApplicationId>
<ApplicationVersionId>053f8a58-e564-427e-8c80-e51671ebee65</ApplicationVersionId>
<Description>sample string 5</Description>
<DeviceGroupId>c3b4c9b7-dd8a-430d-8c7b-67eb59110417</DeviceGroupId>
<DeviceId>8e1dce7b-20cb-42a2-b9ac-62dcb18c9c8d</DeviceId>
<MessageDestinationId>0582e3c7-46c1-417c-b7e7-12adb73fe930</MessageDestinationId>
<MessageRouteId>b47128ff-7159-4988-8792-53b784b8614c</MessageRouteId>
<MessageTypeId>2af6729d-3452-49b6-9d3d-e9d1f333a91f</MessageTypeId>
<Name>sample string 4</Name>
<TenantId>8af827d7-d971-4c59-b024-316bdab4a996</TenantId>
<UserGroupId>d69d5425-216d-469c-afc2-bc7d21ece944</UserGroupId>
<UserId>1c1b5232-c428-4fde-a295-de45b7467891</UserId>
</MessageRouteRepresentation>
<TenantId>52601af2-3472-4602-b03e-5f1d38c09da9</TenantId>
</MessageRouteDestinationRepresentation>
Sample not available.